# Retrieve all entity definitions

Lists all entity definitions.

Endpoint: GET /api/entitydefinitions
Version: v1.0
Security: OAuth2.0

## Query parameters:

  - `skip` (integer)
    Number of definitions to skip before retrieving results, for example, 1.

  - `take` (integer)
    Number of definitions to retrieve, for example, 10. The maximum is 100.

  - `filter` (string)
    Additional filters to apply when retrieving definitions. Use PropertyName==value for property-based filtering (for example, IsSystemOwned==true), or a free-text value to search in definition names and labels (for example, asset).

  - `definitionsToLoadByName` (string)
    Definition names to include in the retrieved definitions, for example, M.Asset, M.Project.Task.

  - `definitionsToLoadById` (string)
    Definition IDs to include in the retrieved definitions, for example, 10, 20.

  - `viewMode` (string)
    The level of detail to include in the returned entity definitions. Use Basic or Extended.
    Enum: "Basic", "Extended"

  - `loadPermissions` (boolean)
    Whether to include all permissions the user has on the entity definition, for example, true or false.

  - `includeConditionalMembers` (boolean)
    Whether to include conditional members in the result, for example, true or false.

  - `excludeTaxonomyDefinitions` (boolean)
    Whether to exclude taxonomy definitions from the result, for example, true or false.

  - `excludeSystemOwnedDefinitions` (boolean)
    Whether to exclude system-owned definitions from the result, for example, true or false.

  - `excludeLightDefinitions` (string)
    Whether to exclude light entity definitions from the result, for example, true or false.
            Light entity definitions contain only basic information.
    Enum: "True", "False", "UserSecurity"

  - `definitionsToLoad` (string)
    (Deprecated) Definition names to include in the retrieved definitions. Use definitionsToLoadByName instead.

## Response 200 fields (application/json):

  - `self` (object)
    Represents a link to a resource.

  - `self.href` (string,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.filename_properties` (array,null)
    Gets or sets the URI that points to the resource this link refers to.

  - `self.title` (string,null)
    Gets or sets the title that describes this link.

  - `self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.


## Response 400 fields

## Response 401 fields

## Response 404 fields
